%global srcname grafyaml

Name:           python-%{srcname}
Version:        0.0.5
Release:        11%{?dist}
Summary:        Tools to make Grafana dashboards from templates

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
# Test requirements
BuildRequires:  python3-dogpile-cache
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-requests
BuildRequires:  python3-requests-mock
BuildRequires:  python3-slugify >= 1.2.0
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-voluptuous
BuildRequires:  python3-yaml

%description
Grafyaml takes simple descriptions of Grafana dashboards in YAML format, and
uses them to configure Grafana.

%package -n python3-%{srcname}
Summary:   %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:  python3-dogpile-cache
Requires:  python3-pbr
Requires:  python3-requests
Requires:  python3-slugify >= 1.2.0
Requires:  python3-voluptuous
Requires:  python3-yaml

%description -n python3-%{srcname}
Grafyaml takes simple descriptions of Grafana dashboards in YAML format, and
uses them to configure Grafana.

%package doc
Summary:       Documentation of Grafyaml
BuildRequires: python3-sphinx
BuildRequires: python3-oslo-sphinx

%description doc
Documentation of Grafyaml.

%prep
%autosetup -n %{srcname}-%{version}
# Let RPM handle the dependencies
rm -rf {test-,}requirements.txt

%build
%py3_build

%install
%py3_install

## generate html docs
%{__python3} setup.py build_sphinx
rm -rf doc/build/html/.{doctrees,buildinfo} doc/build/html/objects.inv

%check
rm -rf .testrepository
PYTHON=%{__python3} %{__python3} setup.py testr

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%{_bindir}/grafana-dashboard

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Wed Oct 17 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.5-11
- Subpackage python2-grafyaml has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-9
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.0.5-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Sep  1 2017 Jan Beran <jberan@redhat.com> - 0.0.5-6
- Fix of python2-grafyaml requires both python2 and python3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jan 18 2016 Paul Belanger <pabelanger@redhat.com> 0.0.5-1
- Initial commit (#1299580)
